/*
 * file.c for MUDix - Enigma
 */
#include <conf.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include <ncurses.h>
#include <panel.h>
#include "mudix.h"

char *fread_string(FILE *fp) 
{
    static char  string[MAX_STRING];
           char *pStr = string;

    while ((*pStr++ = fgetc(fp)) != '~') 
	;
    *(pStr-1) = '\0';

    while (!feof(fp) && fgetc(fp) != '\n') 
	;

    return &string[0];
}

char *fread_to_eol(FILE *fp) 
{
    static char  string[MAX_STRING];
           char *pStr = string;

    while (!feof(fp) && (*pStr = fgetc(fp)) != '\n') {
	if (!isprint(*pStr))
	    continue;
	pStr++;
    }
    *pStr = '\0';

    return &string[0];
}

char *fread_word(FILE *fp) 
{
    static char  word[MAX_STRING];
           char *pWord = word;

    while (isprint((*pWord = fgetc(fp)))) {
	if (*pWord == ' ')
	    break;
	pWord++;
    }
    *pWord = '\0';

    return &word[0];
}
